python-openscap_0.8.0-4+b1_amd64.deb


Advertisement

Description

python-openscap - Set of libraries enabling integration of the SCAP line of standards

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: python-openscap
Package version: 0.8.0
Package release: 4+b1
Package architecture: amd64
Package type: deb
Installed size: 2.97 KB
Download size: 596.04 KB
Official Mirror: ftp.br.debian.org
OpenSCAP is a set of open source libraries providing an easier path for integration of the SCAP line of standards. SCAP is a line of standards managed by NIST with the goal of providing a standard language for the expression of Computer Network Defense related information. The intended scope of this project is to implement working interface wrappers for parsing and querying SCAP content including: * Common Vulnerabilities and Exposures (CVE) * Common Configuration Enumeration (CCE) * Common Platform Enumeration (CPE) * Common Vulnerability Scoring System (CVSS) * Extensible Configuration Checklist Description Format (XCCDF) * Open Vulnerability and Assessment Language (OVAL) This package contains the Python bindings for OpenSCAP.

Alternatives

Provides

  • python2.6-openscap
  • python2.7-openscap

    Download

    Source package: openscap

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-openscap deb package:
      # sudo apt-get install python-openscap

    Files

    • /usr/lib/pyshared/python2.6/_openscap_py.so
    • /usr/lib/pyshared/python2.7/_openscap_py.so
    • /usr/share/doc/python-openscap/changelog.Debian.gz
    • /usr/share/doc/python-openscap/changelog.gz
    • /usr/share/doc/python-openscap/copyright
    • /usr/share/pyshared/openscap.py
    • /usr/share/pyshared/openscap_api.py
    • /usr/share/python-support/python-openscap.public

    Changelog

    2011-11-18 - Pierre Chifflier <pollux@debian.org> openscap (0.8.0-4) unstable; urgency=low * Also mark libcap-dev as Linux only to fix build on kfreebsd (Closes: #649063)

    2011-11-17 - Pierre Chifflier <pollux@debian.org> openscap (0.8.0-3) unstable; urgency=low * Use [linux-any] to mark linux-only build dependencies (Closes: #634689, #649063)

    2011-10-17 - Pierre Chifflier <pollux@debian.org> openscap (0.8.0-2) unstable; urgency=low * Add proper Conflicts/Replaces lines for libopenscap0 (Closes: #645612)

    2011-10-13 - Pierre Chifflier <pollux@debian.org> openscap (0.8.0-1) unstable; urgency=low * Imported Upstream version 0.8.0 * Refreshed quilt patches: - Removed 002_invalid_prototype_probe_process.patch and 003_fix_format_string.patch, merged upstream - Added 004_format_security.patch - Re-run autoconf to fix dpkg probe detection, put result in 005_configure_dpkg_probe.patch * Update package name to libopenscap1 to reflect ABI change * Replace copy of jquery.js file by symlink in documentation * Add libselinux1-dev, libcap-dev, libattr1-dev to build-deps

    2011-06-26 - Pierre Chifflier <pollux@debian.org> openscap (0.7.3-1) unstable; urgency=low * Imported Upstream version 0.7.3 * Add schema files (oval and xccdf) * Enable hardening wrapper * Bump Standards Version to 3.9.2 * Add 003_fix_format_string.patch to fix printf misuse

    2011-04-26 - Pierre Chifflier <pollux@debian.org> openscap (0.7.2-1) unstable; urgency=low * Imported Upstream version 0.7.2 * Refresh quilt patches * Fix FTBFS on kfreebsd-*: conflicting types for 'probe_main' (Closes: #621881) * Remove .la files (Closes: #622483)

    2011-03-28 - Pierre Chifflier <pollux@debian.org> openscap (0.7.1-1) unstable; urgency=low * Imported Upstream version 0.7.1 * No more conversions between pointer and integer detected (Closes: #588255)

    2011-01-12 - Pierre Chifflier <pollux@debian.org> openscap (0.6.6-2) unstable; urgency=low * Fix FTBFS on kfreebsd-*: error: storage size of 'si' isn't known (Closes: #609771)

    2010-12-15 - Pierre Chifflier <pollux@debian.org> openscap (0.6.6-1) unstable; urgency=low * Imported Upstream version 0.6.6 * Drop patch 10_fix_dpkginfo, merged upstream * Add pkgconfig file to dev package

    2010-11-17 - Pierre Chifflier <pollux@debian.org> openscap (0.6.4-2) unstable; urgency=low * Add libxslt1-dev to build-deps (Closes: #603766)

    Advertisement
    Advertisement